#include <SPI.h>
#include <SD.h>
#include <FTOLED.h>
#include <fonts/Droid_Sans_36.h>
#include <fonts/Droid_Sans_12.h>

/*
 * Countdown on a scrolling screen using a large font
 */

const byte pin_cs = 5;    // pro trinket mod d7 to d4
const byte pin_dc = 4;    // pro trinket mod d2 to d5
const byte pin_reset = 3;

OLED oled(pin_cs, pin_dc, pin_reset);
OLED_TextBox box(oled);

const int COUNTDOWN_FROM = 0;
const int COUNTDOWN_FROM2 = 0;
const int COUNTDOWN_FROM3 = 0;
const int COUNTDOWN_FROM4 = 0;
const int COUNTDOWN_FROM5 = 0;
int counter = COUNTDOWN_FROM; // seconds
int counter2 = COUNTDOWN_FROM2; // minutes   
int counter3 = COUNTDOWN_FROM3;// Hours 
int counter4 = COUNTDOWN_FROM4;
int AMPM = COUNTDOWN_FROM5;    // AM PM counter
const int button = 12;    // display button
const int button2 = 13;    // Setting Button ++
const int button3 = 14;    // Setting button --
int buttonstate = 0;
int buttonstate2 = 0;
int buttonstate3 = 0;
void setup() {
  Serial.begin(115200);
  oled.begin();
  pinMode(button, INPUT);
  pinMode(button2, INPUT);
  pinMode(button3, INPUT);  
  box.setForegroundColour(LIMEGREEN);
}

void loop() {
  buttonstate = digitalRead(button);
  buttonstate2 = digitalRead(button2); // Setting button ++
  buttonstate3 = digitalRead(button3);  // Setting button --
  Serial.print(counter);
  Serial.print(counter2);
  Serial.print(counter3);
  oled.selectFont(Droid_Sans_36);
  box.print(counter3);
  box.print(":");
  oled.selectFont(Droid_Sans_36);
  box.print(counter2);
  box.print(" ");
  oled.selectFont(Droid_Sans_12);
  box.print(counter);
  if(buttonstate2 ==HIGH) {counter2++; AMPM++;}         //time setting ++
  if(buttonstate3 == HIGH) {counter2--; AMPM--;}        //time setting --
  counter++;     // seconds ++
  delay(1000);   // by 1 sec
  box.clear();
   if(counter == 60) {counter2++; box.clear(); counter = 0;} // minutes ++
   if(counter2 == 60) {counter3++; AMPM++;  box.clear();  counter2 = 00;}   // hours ++
   if ((counter3 > 12 ) && (AMPM > 12 ))  {box.clear(); counter3 = 1;}
   if ((counter3 == 12 ) && (AMPM == 24) && (counter2 == 60)) { counter3 == 0;}
   
   //if(buttonstate==LOW) {oled.setDisplayOn(false);}    //  OLED on/off
   //if(buttonstate==HIGH) {oled.setDisplayOn(true);}
  
   
   if((AMPM >= 0) && (counter3 <12)) { oled.selectFont(Droid_Sans_12); oled.drawString (20, 70, "AM ", WHITE, BLACK); }   //CHANGE THESE X,Y CORDS
   if((AMPM >= 12) && (AMPM <24)) { oled.selectFont(Droid_Sans_12); oled.drawString (20, 70, "PM ", WHITE, BLACK); }
   
   if((counter3 >= 0 ) && (AMPM >= 0 ) && (counter3 <=8) ) {
   oled.selectFont(Droid_Sans_12);
   oled.drawString (10, 64, "Quad at\n8:25. ", WHITE, BLACK);}
   if ((counter3 >=8 ) && (AMPM >= 8 ) && (counter2 >= 25))  {
   oled.selectFont(Droid_Sans_12);
   oled.drawString (10, 64, "Next Period at\n9:30. ", WHITE, BLACK);}
   if((counter3 >=9 ) && (AMPM >= 9 ) && (counter2 >= 30)) { 
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Recess at\n10:25. ", WHITE, BLACK);}
   if((counter3 >= 10 ) && (AMPM >= 10 ) && (counter2 >= 25)) {
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Next period at\n10:50. ", WHITE, BLACK);}
   if((counter3 >= 10 ) && (AMPM == 10 ) && (counter2 >= 50)){
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Next period at\n11:45. ", WHITE, BLACK);}
   if((counter3 == 12 ) && (AMPM >= 12 ) && (counter2 >= 40)) {
   oled.selectFont(Droid_Sans_12);    
   oled.drawString(10, 64, "House Period at\n12:40. ", WHITE, BLACK);}   
   if((counter3 >= 12 ) && (AMPM == 13 ) && (counter2 >= 40)) {
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Lunch at\n1:10. ", WHITE, BLACK);}
   if((counter3 == 1 ) && (AMPM == 13 ) && (counter2 == 10)) {
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Next period at\n1:50. ", WHITE, BLACK);}
   if((counter3 == 2 ) && (AMPM == 14 ) && (counter2 == 25)) {
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Next period at\n2:45. ", WHITE, BLACK);}
   if((counter4 >= 25500) && (counter4 <= 28800)) {
   oled.selectFont(Droid_Sans_12);
   oled.drawString(10, 64, "Freedom at\n3:40. ", WHITE, BLACK);}
 
  
   
   
  }
